"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadSlim = void 0;
const pjs_1 = require("@tsparticles/pjs");
const updater_angle_1 = require("@tsparticles/updater-angle");
const move_base_1 = require("@tsparticles/move-base");
const shape_circle_1 = require("@tsparticles/shape-circle");
const updater_color_1 = require("@tsparticles/updater-color");
const interaction_external_attract_1 = require("@tsparticles/interaction-external-attract");
const interaction_external_bounce_1 = require("@tsparticles/interaction-external-bounce");
const interaction_external_bubble_1 = require("@tsparticles/interaction-external-bubble");
const interaction_external_connect_1 = require("@tsparticles/interaction-external-connect");
const interaction_external_grab_1 = require("@tsparticles/interaction-external-grab");
const interaction_external_pause_1 = require("@tsparticles/interaction-external-pause");
const interaction_external_push_1 = require("@tsparticles/interaction-external-push");
const interaction_external_remove_1 = require("@tsparticles/interaction-external-remove");
const interaction_external_repulse_1 = require("@tsparticles/interaction-external-repulse");
const interaction_external_slow_1 = require("@tsparticles/interaction-external-slow");
const shape_image_1 = require("@tsparticles/shape-image");
const updater_life_1 = require("@tsparticles/updater-life");
const shape_line_1 = require("@tsparticles/shape-line");
const updater_opacity_1 = require("@tsparticles/updater-opacity");
const updater_out_modes_1 = require("@tsparticles/updater-out-modes");
const move_parallax_1 = require("@tsparticles/move-parallax");
const interaction_particles_attract_1 = require("@tsparticles/interaction-particles-attract");
const interaction_particles_collisions_1 = require("@tsparticles/interaction-particles-collisions");
const interaction_particles_links_1 = require("@tsparticles/interaction-particles-links");
const shape_polygon_1 = require("@tsparticles/shape-polygon");
const updater_size_1 = require("@tsparticles/updater-size");
const shape_square_1 = require("@tsparticles/shape-square");
const shape_star_1 = require("@tsparticles/shape-star");
const updater_stroke_color_1 = require("@tsparticles/updater-stroke-color");
const shape_text_1 = require("@tsparticles/shape-text");
function loadSlim(engine) {
    return __awaiter(this, void 0, void 0, function* () {
        yield (0, move_base_1.loadBaseMover)(engine);
        yield (0, move_parallax_1.loadParallaxMover)(engine);
        yield (0, interaction_external_attract_1.loadExternalAttractInteraction)(engine);
        yield (0, interaction_external_bounce_1.loadExternalBounceInteraction)(engine);
        yield (0, interaction_external_bubble_1.loadExternalBubbleInteraction)(engine);
        yield (0, interaction_external_connect_1.loadExternalConnectInteraction)(engine);
        yield (0, interaction_external_grab_1.loadExternalGrabInteraction)(engine);
        yield (0, interaction_external_pause_1.loadExternalPauseInteraction)(engine);
        yield (0, interaction_external_push_1.loadExternalPushInteraction)(engine);
        yield (0, interaction_external_remove_1.loadExternalRemoveInteraction)(engine);
        yield (0, interaction_external_repulse_1.loadExternalRepulseInteraction)(engine);
        yield (0, interaction_external_slow_1.loadExternalSlowInteraction)(engine);
        yield (0, interaction_particles_attract_1.loadParticlesAttractInteraction)(engine);
        yield (0, interaction_particles_collisions_1.loadParticlesCollisionsInteraction)(engine);
        yield (0, interaction_particles_links_1.loadParticlesLinksInteraction)(engine);
        yield (0, shape_circle_1.loadCircleShape)(engine);
        yield (0, shape_image_1.loadImageShape)(engine);
        yield (0, shape_line_1.loadLineShape)(engine);
        yield (0, shape_polygon_1.loadPolygonShape)(engine);
        yield (0, shape_square_1.loadSquareShape)(engine);
        yield (0, shape_star_1.loadStarShape)(engine);
        yield (0, shape_text_1.loadTextShape)(engine);
        yield (0, updater_life_1.loadLifeUpdater)(engine);
        yield (0, updater_opacity_1.loadOpacityUpdater)(engine);
        yield (0, updater_size_1.loadSizeUpdater)(engine);
        yield (0, updater_angle_1.loadAngleUpdater)(engine);
        yield (0, updater_color_1.loadColorUpdater)(engine);
        yield (0, updater_stroke_color_1.loadStrokeColorUpdater)(engine);
        yield (0, updater_out_modes_1.loadOutModesUpdater)(engine);
        yield (0, pjs_1.initPjs)(engine);
    });
}
exports.loadSlim = loadSlim;
